<?php


namespace app\cbcrm\controller\admin\site;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\site\BlockModel;
use think\facade\Cache;
use think\Request;

class Block extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);

        $this->model = new BlockModel();
    }

    public function index()
    {
        $type = $this->request->get('type','');
        $params = [];
        if($type){
            $params['type'] = $type;
        }
        $list = $this->model->getList($params);

        $this->success('返回成功',$list);
    }

    public function add()
    {
        $params = [];
        $params['type'] = $this->request->post('type')?:$this->error('请选择广告类型');
        $params['title'] = $this->request->post('title')?:$this->error('请输入广告标题');
        $params['url'] = $this->request->post('url');
        $params['image'] = $this->request->post('image');
        $params['content'] = $this->request->post('content');
        $params['sort'] = $this->request->post('sort',0,'intval');
        $params['status'] = $this->request->post('status',1,'intval');

        $result = $this->model->saveData($params);
        Cache::clear();
        if ($result) {
            $this->success('添加成功');
        }else{
            $this->error('添加失败');
        }
    }

    public function edit()
    {
        $params = [];
        $params['id'] = $this->request->post('id',0,'intval')?:$this->error('ID参数错误');
        $params['type'] = $this->request->post('type')?:$this->error('请选择广告类型');
        $params['title'] = $this->request->post('title')?:$this->error('请输入广告标题');
        $params['url'] = $this->request->post('url');
        $params['image'] = $this->request->post('image');
        $params['content'] = $this->request->post('content');
        $params['sort'] = $this->request->post('sort',0,'intval');
        $params['status'] = $this->request->post('status',1,'intval');

        $row = $this->model->where('id',$params['id'])->find();

        if (!$row) {
            $this->error('内容未找到');
        }

        $result = $row->save($params);

        Cache::clear();

        if ($result) {
            $this->success('编辑成功');
        }else{
            $this->error('编辑失败');
        }
    }

    public function del()
    {
        $id = $this->request->post('id',0,'intval')?:$this->error('ID参数错误');

        $row = $this->model->where('id', $id)->find();

        if (!$row) {
            $this->error('内容未找到');
        }

        $result = $row->delete();

        if ($result) {
            $this->success('删除成功');
        }else{
            $this->error('删除失败');
        }
    }
}
