<?php


namespace app\cbcrm\controller\admin\site;


use app\cbcrm\controller\BaseAdmin;
use app\cbcrm\model\admin\site\FriendLinkModel;
use think\facade\Cache;
use think\Request;

class FriendLink extends BaseAdmin
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);

        $this->model = new FriendLinkModel();
    }

    public function index()
    {
        $list = $this->model->getList();

        $this->success('返回成功',$list);
    }

    public function add()
    {
        $params = [];
        $params['title'] = $this->request->post('title')?:$this->error('请输入网站名称');
        $params['url'] = $this->request->post('url')?:$this->error('请填写链接');
        $params['sort'] = $this->request->post('sort',0,'intval');
        $params['status'] = $this->request->post('status',1,'intval');

        $result = $this->model->saveData($params);
        Cache::clear();
        if ($result) {
            $this->success('添加成功');
        }else{
            $this->error('添加失败');
        }
    }

    public function edit()
    {
        $params = [];
        $params['id'] = $this->request->post('id',0,'intval')?:$this->error('ID参数错误');
        $params['title'] = $this->request->post('title')?:$this->error('请输入网站名称');
        $params['url'] = $this->request->post('url')?:$this->error('请填写菜单链接');
        $params['sort'] = $this->request->post('sort',0,'intval');
        $params['status'] = $this->request->post('status',1,'intval');

        $row = $this->model->where('id',$params['id'])->find();

        if (!$row) {
            $this->error('内容未找到');
        }

        $result = $row->save($params);

        Cache::clear();

        if ($result) {
            $this->success('编辑成功');
        }else{
            $this->error('编辑失败');
        }
    }
}
