<?php


namespace app\cbcrm\controller\crm\config;


use app\cbcrm\controller\BaseUser;
use app\cbcrm\model\config\SmsTemplateModel;
use think\facade\Log;
use think\Request;

class SmsTemplate extends BaseUser
{
    protected $model = null;

    public function __construct(Request $request)
    {
        $this->model = new SmsTemplateModel();
        parent::__construct($request);
    }

    public function index()
    {
        $list = $this->model->whereOr('wid',0)->whereOr('wid',$this->wid)->order('id desc')->paginate(30);
        $data = $list->toArray();
        foreach ($data['data'] as $item) {
            if ($item['wid'] == $this->wid) {
                foreach ($data['data'] as $key=>$row) {
                    if ($row['wid'] == 0 && $item['title'] == $row['title']) {
                        unset($data['data'][$key]);
                        $data['total']--;
                    }
                }
            }
        }
        return success('返回成功',$data);
    }

    public function edit()
    {
        $id = $this->request->post('id',0,'intval');
        $code = $this->request->post('code','strip_tags');

        $row = $this->model->where('id',$id)->find();

        if (!$row || $row->wid != 0 && $row->wid != $this->wid) {
            return error('模板不存在');
        }

        if ($row->wid == 0) {
            $data = [
                'wid'=>$this->wid,
                'code'=>$code,
                'title'=>$row->title,
                'content'=>$row->content
            ];
            $result = $this->model->save($data);
        }else{
            $result = $row->save(['code'=>$code]);
        }

        return success('保存成功');

    }
}
