<?php


namespace app\cbcrm\controller\crm\customer;


use app\cbcrm\controller\BaseUser;
use app\cbcrm\model\customer\AttachmentModel;
use think\Request;

class Attachment extends BaseUser
{
    protected $model = null;

    public function __construct(Request $request)
    {
        $this->model = new AttachmentModel();
        parent::__construct($request);
    }

    public function index()
    {
        $customer_id = \request()->get('customer_id',0,'intval');
        $where = [];
        if ($customer_id) {
            $where['attachment_model.customer_id' ] = $customer_id;
        }else{
            return error('参数错误');
        }

        $list = $this->model->getList($where,$this->wid);
        return success('返回成功', $list);
    }

    /*
     * 添加材料
     * */
    public function add()
    {
        $params = \request()->post('form');
        $params['is_super'] = 0;
        if ((!isset($params['staff_id']) || !$params['staff_id']) && $this->user['isSuper']) {
            $params['is_super'] = 1; // 不选择员工且当前用户为超管时，表示为超管录入
        }
        $params['staff_id'] = isset($params['staff_id']) && $params['staff_id']?$params['staff_id']:$this->user['id'];
        $result = $this->model->addAttach($params, $this->wid);
        if ($result === true) {
            return success('添加成功', $result);
        } else {
            return error($result);
        }
    }

    /*
     * 编辑材料
     * */
    public function edit()
    {
        $id = \request()->post('id', 0, 'intval');
        $params = \request()->post('form');
        $params['is_super'] = 0;
        if ((!isset($params['staff_id']) || !$params['staff_id']) && $this->user['isSuper']) {
            $params['is_super'] = 1; // 不选择员工且当前用户为超管时，表示为超管录入
        }
        $params['staff_id'] = isset($params['staff_id']) && $params['staff_id']?$params['staff_id']:$this->user['id'];
        $result = $this->model->editAttach($id, $params, $this->wid);
        if ($result === true) {
            return success('编辑成功', $result);
        } else {
            return error($result);
        }
    }

    /*
     * 删除材料
     * */
    public function del()
    {
        $id = \request()->delete('id', 0, 'intval');
        $result = $this->model->delAttach($id,$this->wid);
        if ($result === true) {
            return success('删除成功', $result);
        } else {
            return error($result);
        }
    }
}
