<?php


namespace app\cbcrm\controller\crm\customer;


use app\cbcrm\controller\BaseUser;
use app\cbcrm\model\customer\NicheModel;
use think\Request;

class Niche extends BaseUser
{
    protected $model = null;

    public function __construct(Request $request)
    {
        $this->model = new NicheModel();
        parent::__construct($request);
    }

    public function index()
    {
        $customer_id = \request()->get('customer_id',0,'intval');
        $where = [];
        if ($customer_id) {
            $where['niche_model.customer_id' ] = $customer_id;
        }
        if (!$this->user['isSuper']) {
            $where[] = ['niche_model.staff_id','IN',$this->getDepartmentStaffIds($this->user['department_id'],$this->user['id'],true)];
        }
        $list = $this->model->getList($where,$this->wid);
        return success('返回成功', $list);
    }

    /*
     * 添加商机
     * */
    public function add()
    {
        $params = \request()->post('form');
        $params['is_super'] = 0;
        if ((!isset($params['staff_id']) || !$params['staff_id']) && $this->user['isSuper']) {
            $params['is_super'] = 1; // 不选择员工且当前用户为超管时，表示为超管录入
        }
        $params['staff_id'] = isset($params['staff_id']) && $params['staff_id']?$params['staff_id']:$this->user['id'];
        $result = $this->model->addNiche($params, $this->wid);
        if ($result === true) {
            return success('添加成功', $result);
        } else {
            return error($result);
        }
    }

    /*
     * 编辑商机
     * */
    public function edit()
    {
        $id = \request()->post('id', 0, 'intval');
        $params = \request()->post('form');
        $params['is_super'] = 0;
        if ((!isset($params['staff_id']) || !$params['staff_id']) && $this->user['isSuper']) {
            $params['is_super'] = 1; // 不选择员工且当前用户为超管时，表示为超管录入
        }
        $params['staff_id'] = isset($params['staff_id']) && $params['staff_id']?$params['staff_id']:$this->user['id'];
        $result = $this->model->editNiche($id, $params, $this->wid);
        if ($result === true) {
            return success('编辑成功', $result);
        } else {
            return error($result);
        }
    }

    /*
     * 删除商机
     * */
    public function del()
    {
        $id = \request()->delete('id', 0, 'intval');
        $result = $this->model->delNiche($id,$this->wid);
        if ($result === true) {
            return success('删除成功', $result);
        } else {
            return error($result);
        }
    }

    /*
     * 获取表单字典
     * */
    public function getFormData()
    {
        $data = $this->model->getFormData($this->wid);
        return success('返回成功', $data);
    }
}
