<?php


namespace app\cbcrm\model\config;


use think\Model;

class DictionaryModel extends Model
{
    protected $table = 'cb_crm_dictionary';

    /*
     * 获取列表
     * */
    public function getList($where,$wid)
    {
       return $this->with(['type_attr'])->where($where)->where('`wid` = 0 OR `wid` ='.$wid)->order('sort','desc')->paginate(15);
    }

    /*
     * 获取字典类型
     * */
    public function getTypeList()
    {
       return $this->where('wid',0)->where('type',0)->where('is_sys',1)->order('sort','desc')->select();
    }

    /*
     * 添加字典
     * */
    public function add($data)
    {
        if ($data['default']==1) {
            $this->where('wid',$data['wid'])->where('type',$data['type'])->update(['default'=>0]);
        }
       return $this->save($data);
    }

    /*
     * 添加字典
     * */
    public function edit($data,$wid)
    {
        $row = $this->where(['id'=>$data['id'],'wid'=>$wid])->find();
        if (!$row){
            return error('记录未找到');
        }
        if ($data['default']==1 && $row['default']!=1) {
            $this->where('wid',$wid)->where('type',$data['type'])->update(['default'=>0]);
        }
        $result = $row->update($data);
        if ($result) {
            return success('修改成功');
        }else{
            return error('未修改任务数据');
        }
    }

    /*
     * 删除字典
     * */
    public function del($id,$wid)
    {
        $row = $this->where(['id'=>$id,'wid'=>$wid])->find();
        if (!$row){
            return error('记录未找到');
        }
        if ($row->is_sys) {
            return error('系统字典不允许删除');
        }
        $result = $row->delete();
        if ($result) {
            return success('删除成功');
        }else{
            return error('删除失败');
        }
    }

    /*
     * 根据字典类型获取字典列表
     * */
    public function getTypeValues($type,$wid)
    {
       return $this->where('type','IN',$type)
            ->where('`wid` = 0 OR `wid` ='.$wid)
            ->where('status',1)
            ->field('id,type,name,default')
            ->order('sort desc,id asc')
            ->select();
    }

    /*
     * 根据字典名称获取字典列表
     * */
    public function getDicValues($name,$wid)
    {
        $type = $this->where('name',$name)
            ->where('wid',0)
            ->where('type',0)
            ->value('id');
        return $type? $this->getTypeValues($type,$wid):[];
    }

    public function typeAttr(){
        return $this->belongsTo(DictionaryModel::class,'type','id');
    }
}
